<template>
    <simple-form
        :items="formItems"
        ref="formRef"
        label-width="160px"
        :footer="true"
        @submit="handleSubmit"
    />
</template>

<script setup name="baseConfig">
    import { ref, shallowRef } from 'vue';
    import SimpleForm from '@/components/CommonPage/SimpleForm.vue';

    const formRef = ref(null);
    const formItems = shallowRef([
        {
            type: 'input',
            label: '每人每日最高提现金额',
            prop: 'appId'
        },
        {
            type: 'input',
            label: '微信提现说明',
            prop: 'appkey'
        },
        {
            type: 'input',
            label: '支付宝提现说明',
            prop: 'version'
        }
    ]);

    function handleSubmit(data) {
        console.log(data);
    }
</script>
